Mailinglist Archive: opensuse-updates (120 mails)

< Previous Next >
openSUSE-RU-2013:1707-1: kdevelop4: Latest bugfix release of the kdev* family
openSUSE Recommended Update: kdevelop4: Latest bugfix release of the kdev*
family
______________________________________________________________________________

Announcement ID: openSUSE-RU-2013:1707-1
Rating: low
References:
Affected Products:
openSUSE 13.1
______________________________________________________________________________

An update that has 0 recommended fixes can now be installed.

Description:

This update fixes the following issues with kdev* packages:
- kdevelop4:
+ Update to version 4.5.2
* Make qt4.py compatible with Python 3.x
* Backport crash fixes for crash in Cpp TypeBuilder.
* When calling a constructor don't offer deleted ones
for completion
* Do not offer explicitely deleted methods for code
completion
* Do not insert spaces in function definition after
void or type with no argument name
* Fix missing break in the c++ parser
* Fix build on big endian plattforms.
* Fix endless recursion in setSpecializedFrom
* Fix usage of PushValue for recursion counters in
TemplateDeclaration.
* Gracefully react to a lack of a working directory
* cpp_header.h: Conditionally add license header
* Don't run an execute process command if the working
dir is unknown
* Don't use the items after calling ::removeUrl
* Fix overloaded-virtual of computeCompletions.
* RETURN() also works with find_package() and include()
* Support return statement
* Update global vars when visiting set(..CACHE..FORCE)
AST node
* Verify validity of type after deserialization from
the storage.
* take() variables when they go out of scope
* Correct Basic C++ Template
* Fix builds for okteta in a separate prefix

- kdevelop4-plugin-python:
+ Fix lang target name
+ Update to 1.5.2
* Fix a bug which led to the PEP8 checker running on
non-python files in some cases
* Properly support unicode docstrings
* Fix a crash in code completion which happened in some
rare cases
* Fix a crash which could happen when a list
comprehension was used as the default value for a function
parameter
+ Bump minimal libkdevplatform-devel BuildRequires to
1.4.60 as per CMakeLists
+ Remove unneeded dependencies.

- kdevelop4-plugins:
+ Update to version 1.5.2
* updated translations
+ Bump minimal libkdevplatform-devel BuildRequires to
1.4.60 as per CMakeLists

- kdevplatform:
+ Update to version 1.5.2
* Disable color output for git-pull call
* Make sure delayedModificationWarningOn() is always
called as a slot
* Use relativePath instead of relativeUrl to properly
display spaces.
* Cleanup and fixup ProjectUtils to not leak and not
trigger crashes.
* Add "--force" to git-rm call
* Fix crash / odd behavior in project tree view
* Fix uninitialized value found by valgrind
* Fix crash when re-loading the file manager plugin
* Fix licensing mistake in output view
+ Adjust filelists, so it builds on 12.2


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2013-863

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 x86_64):

kdevelop4-4.5.2-2.4.5
kdevelop4-debuginfo-4.5.2-2.4.5
kdevelop4-debugsource-4.5.2-2.4.5
kdevelop4-devel-4.5.2-2.4.5
kdevelop4-doc-4.5.2-2.4.5
kdevelop4-plugin-python-1.5.2-2.4.12
kdevelop4-plugin-python-debuginfo-1.5.2-2.4.12
kdevelop4-plugin-python-debugsource-1.5.2-2.4.12
kdevelop4-plugin-python-devel-1.5.2-2.4.12
kdevelop4-plugins-debugsource-1.5.2-2.4.13
kdevelop4-plugins-php-1.5.2-2.4.13
kdevelop4-plugins-php-debuginfo-1.5.2-2.4.13
kdevelop4-plugins-php-doc-1.5.2-2.4.13
kdevelop4-plugins-php-doc-debuginfo-1.5.2-2.4.13
kdevplatform-1.5.2-2.6.1
kdevplatform-debuginfo-1.5.2-2.6.1
kdevplatform-debugsource-1.5.2-2.6.1
libkdevplatform-devel-1.5.2-2.6.1
libkdevplatform7-1.5.2-2.6.1
libkdevplatform7-debuginfo-1.5.2-2.6.1

- openSUSE 13.1 (noarch):

kdevelop4-lang-4.5.2-2.4.5
kdevelop4-plugin-python-lang-1.5.2-2.4.12
kdevplatform-lang-1.5.2-2.6.1


References:



< Previous Next >
This Thread
  • No further messages